---
- hosts: pki.eole.lan
  vars:
  roles:
    - pki
  environment:
    STEPDEBUG: 1
- hosts: pulp.eole.lan
  roles:
    - common
    - pulp
    - pulp.pulp_installer.pulp_all_services
    - signing-service
    - deb_repo
    - tweaks
  environment:
    DJANGO_SETTINGS_MODULE: pulpcore.app.settings
- hosts: aca.zephir-2.9.0
  vars:
    - pki_addr: pki.eole.lan
  roles:
    - eole
    - common
    - pki_client
  tasks:
    - name: Configure letsencrypt
      cadoles.eole.creoleset:
        variables:
          - name: activer_ajout_hosts
            value: oui
          - name: adresse_ip_hosts
            value:
              - 192.168.0.107
              - 192.168.0.106
          - name: nom_long_hosts
            value:
              - "{{ pki_addr }}"
              - pulp.eole.lan
          - name: nom_court_hosts
            value:
              - pki
              - pulp
          - name: cert_type
            value: letsencrypt
          - name: le_server_addr
            value: "{{ pki_addr }}:9443/acme/acme"
      notify:
        - Instance or reconfigure
